dir1 = getDirectory("");
list = getFileList(dir1);
setBatchMode(true);
for (i=0; i<list.length; i++) {
	showProgress(i+1, list.length);
	open(dir1+list[i]);

	// get the title of the current image to select the image later
	title = getTitle()
;
	newTitle = substring(title, 0, indexOf(title, ".tif"));

	//SET SCALE
	run("Set Scale...", "distance=270 known=100 unit=um");

	// copy the image
	run("Duplicate...", " ");

	newTitle2 = newTitle + "-1.tif";
	selectWindow(newTitle2);

	//segmentation
	run("8-bit");
	run("Auto Threshold", "method=Li white");
	run("Auto Local Threshold", "method=Phansalkar radius=3 parameter_1=35 parameter_2=0 white");

	// configure what properties to measure and in which image (the original image)
	run("Set Measurements...", "area mean min shape integrated redirect=" + "[" + title + "]" + " decimal=2");

	// do the measurements and send the ROIs to the ROI manager
	//Note: The size range may need to be adjusted up or down to capture the
	//		smallest/largest cells
	run("Analyze Particles...", "size=20-3500 show=Nothing display exclude clear add");

	// close the image copy and select the original
	close();
	selectWindow(title);

	
	// visualise the ROIs on the original image
	roiManager("Show None");
	roiManager("Show All");

	//export results to excel
	//INSERT YOUR DESIRED FOLDER LOCATION
	saveAs("Results", "YOUR\\FOLDER\\LOCATION\\GOES\\HERE\\" + newTitle + ".csv" );

}



